module.exports=(async (wb) => {
    var sheet = wb.getWorksheet(1);
    var insertrows = [];
    sheet.eachRow({ includeEmpty: true }, function (row, rowNumber) {
        if (rowNumber >= 3 && rowNumber <= 38) {
            row.eachCell({ includeEmpty: true }, function (cell, colNumber) {
                if (colNumber == 3) {
                    if (typeof cell.value == "object") {
                        desc = "";
                        cell.value.richText.forEach(element => {
                            desc += element.text.replace(" ","");
                        });
                    } else {
                        desc = cell.value.replace(" ","");
                    }
        
                }
                if (colNumber == 4) {
                    var buildRow = {};
                    buildRow.rpttypecode = "ITY";
                    buildRow.valstr = cell.value?(typeof cell.value=="object"?cell.value.result:cell.value):"0";
                    buildRow.desc = desc + "/金额";
                    buildRow.position = rowNumber + "-" + 1;
                    insertrows.push(buildRow);
                }
            });
        }


    });
   return insertrows;
});